package com.ruoyi.project.reliability.service.impl;

import java.util.List;

import com.ruoyi.project.reliability.domain.TBamOriginal;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.reliability.mapper.TBamListMapper;
import com.ruoyi.project.reliability.domain.TBamList;
import com.ruoyi.project.reliability.service.ITBamListService;

import javax.annotation.Resource;

/**
 * 故障管理跟踪Service业务层处理
 *
 * @author ruoyi
 * @date 2020-12-21
 */
@Service
public class TBamListServiceImpl implements ITBamListService
{
    @Resource
    private TBamListMapper tBamListMapper;

    /**
     * 查询故障管理跟踪
     *
     * @param id 故障管理跟踪ID
     * @return 故障管理跟踪
     */
    @Override
    public TBamList selectTBamListById(Long id)
    {
        return tBamListMapper.selectTBamListById(id);
    }

    /**
     * 查询故障管理跟踪列表
     *
     * @param tBamList 故障管理跟踪
     * @return 故障管理跟踪
     */
    @Override
    public List<TBamList> selectTBamListList(TBamList tBamList)
    {
        return tBamListMapper.selectTBamListList(tBamList);
    }

    /**
     * 定时任务查询故障管理跟踪列表
     *
     * @param tBamList 故障管理跟踪
     * @return 故障管理跟踪集合
     */
    @Override
    public List<TBamList> selectList(TBamList tBamList) {
        return tBamListMapper.selectList(tBamList);
    }

    /**
     * 新增故障管理跟踪
     *
     * @param tBamList 故障管理跟踪
     * @return 结果
     */
    @Override
    public int insertTBamList(TBamList tBamList)
    {
        return tBamListMapper.insertTBamList(tBamList);
    }

    /**
     * 初选提交故障管理跟踪
     *
     * @param bamOriginal 故障管理初选
     * @return 结果
     */
    @Override
    public int insertTBamListFromOriginal(TBamOriginal bamOriginal) { return tBamListMapper.insertTBamListFromOriginal(bamOriginal); }

    /**
     * 修改故障管理跟踪
     *
     * @param tBamList 故障管理跟踪
     * @return 结果
     */
    @Override
    public int updateTBamList(TBamList tBamList)
    {
        return tBamListMapper.updateTBamList(tBamList);
    }

    /**
     * 批量删除故障管理跟踪
     *
     * @param ids 需要删除的故障管理跟踪ID
     * @return 结果
     */
    @Override
    public int deleteTBamListByIds(Long[] ids)
    {
        return tBamListMapper.deleteTBamListByIds(ids);
    }

    /**
     * 删除故障管理跟踪信息
     *
     * @param id 故障管理跟踪ID
     * @return 结果
     */
    @Override
    public int deleteTBamListById(Long id)
    {
        return tBamListMapper.deleteTBamListById(id);
    }
}
